import type { PropType } from 'vue';
export declare const DraggableResizable: import("vue").DefineComponent<{
    tag: {
        type: StringConstructor;
        default: string;
    };
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    resizableAnchors: {
        type: PropType<("bottom" | "left" | "right" | "top" | "top-right" | "top-left" | "bottom-left" | "bottom-right")[]>;
        default: readonly ["top", "top-left", "left", "bottom", "bottom-left", "top-right", "right", "bottom-right"];
    };
    showResizableAnchor: BooleanConstructor;
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    containment: PropType<import("@veno-ui/utils").Selector>;
    disabled: BooleanConstructor;
    cursor: {
        type: BooleanConstructor;
        default: boolean;
    };
    position: PropType<"fixed" | "absolute">;
    /**
     * @zh 大小位置
     */
    modelValue: {
        type: PropType<{
            left: string | number;
            top: string | number;
            width?: string | number | undefined;
            height?: string | number | undefined;
        }>;
        default: () => {
            left: number;
            top: number;
        };
    };
    /**
     * @zh 是否在调整大小时显示提示
     */
    tooltip: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_value: any) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    tag: {
        type: StringConstructor;
        default: string;
    };
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    resizableAnchors: {
        type: PropType<("bottom" | "left" | "right" | "top" | "top-right" | "top-left" | "bottom-left" | "bottom-right")[]>;
        default: readonly ["top", "top-left", "left", "bottom", "bottom-left", "top-right", "right", "bottom-right"];
    };
    showResizableAnchor: BooleanConstructor;
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    containment: PropType<import("@veno-ui/utils").Selector>;
    disabled: BooleanConstructor;
    cursor: {
        type: BooleanConstructor;
        default: boolean;
    };
    position: PropType<"fixed" | "absolute">;
    /**
     * @zh 大小位置
     */
    modelValue: {
        type: PropType<{
            left: string | number;
            top: string | number;
            width?: string | number | undefined;
            height?: string | number | undefined;
        }>;
        default: () => {
            left: number;
            top: number;
        };
    };
    /**
     * @zh 是否在调整大小时显示提示
     */
    tooltip: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((_value: any) => any) | undefined;
}, {
    disabled: boolean;
    tag: string;
    tooltip: boolean;
    cursor: boolean;
    modelValue: {
        left: string | number;
        top: string | number;
        width?: string | number | undefined;
        height?: string | number | undefined;
    };
    draggable: boolean;
    resizable: boolean;
    resizableAnchors: ("bottom" | "left" | "right" | "top" | "top-right" | "top-left" | "bottom-left" | "bottom-right")[];
    showResizableAnchor: boolean;
}>;
