import { computed } from "vue";
import { propsFactory } from "@veno-ui/utils";
const makeScrollbar = propsFactory({
  /**
   * @zh 美化滚动条
   */
  beautifyScrollbar: {
    type: Boolean,
    default: true
  }
}, "scrollbar");
function useScrollbar(props) {
  const scrollbarClasses = computed(() => props.beautifyScrollbar ? "beautify-scrollbar" : null);
  return {
    scrollbarClasses
  };
}
export {
  makeScrollbar,
  useScrollbar
};
//# sourceMappingURL=index.mjs.map
